Bug 438657 - (CVE-2008-1099) CVE-2008-1099: moin ACL enforcement flaw
CVE-2008-1099: moin ACL enforcement flaw
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 438672 438673 438674
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 04:35 EDT by Ville Skyttä
Modified: 2009-04-13 08:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 08:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2008-03-24 04:35:51 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-1099

"_macro_Getval in wikimacro.py in MoinMoin 1.5.8 and earlier does not properly
enforce ACLs, which allows remote attackers to read protected pages."

F-7, F-8, EPEL-4 and EPEL-5 have 1.5.8 in CVS.  Should be fixed upstream in
1.5.9 and http://hg.moinmo.in/moin/1.5/rev/4a7de0173734
Comment 2 Fedora Update System 2008-04-24 09:55:32 EDT
moin-1.5.9-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-24 09:56:04 EDT
moin-1.5.9-1.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-29 16:49:39 EDT
moin-1.5.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-04-29 16:52:16 EDT
moin-1.5.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Matthias Saou 2009-04-13 08:40:19 EDT
I had forgotten to close this report. All current versions have this issue fixed.

Note You need to log in before you can comment on or make changes to this bug.